Summary: A CGI-based intranet server for educational environments
Name: auc
Version: 0.7.4
Release: 1
Copyright: GPL
Group: Applications/Internet
Url: http://auc.sourceforge.net
Packager: David Moore <dcm@acm.org>

Source: auc-%{version}.tar.gz

BuildRoot: /var/tmp/auc-root
Requires: webserver, pam >= 0.66, perl

%description

Authenticated User Community for Education is an intranet system designed
for use in a K-12 setting but is also useful in many other settings. It
offers the ability for users to have a uniform web-based interface to
discussion forums, e-mail (similar to hotmail, etc.), file management, and
a searchable user database. Also, "Interactive Classrooms" provide a means
for students and teachers to have a web-based extension to their in-class
interaction. The system runs from a C-based monolithic CGI script. MySQL
is used for database storage.

%package devel
Group: Development/Libraries
Summary: Headers for compilation of AUC plug-ins

%description devel
The auc-devel package contains the headers necessary to compile
plug-ins for AUC.  If you want to develop or compile your own
AUC plug-ins, you will need this package.

%package wordview
Group: Applications/Internet
Summary: Inline MS Word document viewing in AUC

%description wordview
The auc-wordview package contains the server-side helper application that
allows MS Word documents to be viewed inline with the AUC file manager
(no browser plugin or MS Word needed).  The viewer is statically linked
to the libwv library.

%prep
# first, unpack auc.
%setup -q

%build
if [ "$LINGUAS" ]; then
  unset LINGUAS
fi
tar -xzf imap-2001.tar.gz
cd imap-2001
make slx
cd ..
./configure --with-included-gettext --prefix=/usr
make
	
%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT/etc/pam.d
cp conf/auc.pam $RPM_BUILD_ROOT/etc/pam.d/auc
if [ ! -d $RPM_BUILD_ROOT/usr/share ]; then mkdir $RPM_BUILD_ROOT/usr/share; fi
ln -s /usr/share/locale $RPM_BUILD_ROOT/usr/share/locale

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)

%config /etc/pam.d/auc

/etc/auc/aucconf.xml.sample
%config /etc/auc/mime.types

%dir /var/www/auc
%config /var/www/auc/*.html*
%config /var/www/auc/*.txt
/var/www/auc/*.xml*
/var/www/auc/aucemail
/var/www/auc/newspaper.so
/var/www/auc/publishnews*
%config /var/www/auc/help

/var/www/cgi-bin/auc.cgi

%config /var/www/html/auc/g

%dir /var/www/html/auc/newspaper
/var/www/html/auc/newspaper/search.cgi
%config /var/www/html/auc/newspaper/template

/usr/bin/aucwho
/usr/bin/auc_password_import

/usr/share/locale/da/LC_MESSAGES/auc.mo
/usr/share/locale/it/LC_MESSAGES/auc.mo
/usr/share/locale/ja/LC_MESSAGES/auc.mo
/usr/share/locale/fr/LC_MESSAGES/auc.mo
/usr/share/locale/es/LC_MESSAGES/auc.mo
/usr/share/locale/zh-tw/LC_MESSAGES/auc.mo


%doc INSTALL
%doc README
%doc ChangeLog
%doc AUTHORS
%doc COPYING
%doc NEWS
%doc conf/htaccess.sample
%doc conf/htaccess2.sample
%doc conf/EXIM.README
%doc conf/EXIM.Makefile
%doc conf/EXIM.configure

%files devel
%defattr(-,root,root)
%dir /usr/include/auc
/usr/include/auc/*.h

%files wordview
%defattr(-,root,root)
/var/www/auc/aucwv

%changelog
* Mon Aug 20 2000 David Moore <dcm@acm.org>
- Initial release of spec file
