/*
 * Authenticated User Community
 * Copyright (c) 2000 David C. Moore
 *
 * You may distribute and/or use for any purpose modified or unmodified
 * copies of this software if you preserve the copyright notice above.
 */
 
 
/**
 * @File auc.h
 *
 * Global declarations accessable by all AUC source files and plugins
 */

/* Make sure this is only included once. */

#ifndef AUC_C
#define AUC_C 1

#include <config.h>

#include <stdio.h>
#include <time.h>
#include <mysql.h>
#include <auc/auth.h>

#ifdef HAVE_GETTEXT
#include <libintl.h>
#else
#include <intl/libintl.h>
#endif


#define N_(String) String
#define _(String) gettext (String)


#define aucEtcDirDefault "/etc/auc"
#define aucDataDirDefault "/var/www/auc"


extern char *aucOrgName, *aucSiteName, *aucGraphDir, *aucGraphDirLocal;
extern char *aucVarRoot, *aucEtcRoot, *aucDataDir;
extern char *aucUserDir, *aucDBHost, *aucDBName;
extern char *aucDBUser, *aucDBPasswd;
extern char *aucWebmaster, *aucModExt;
extern char *aucHeaderBGColor, *aucHeaderTextColor, *aucTrimColor;
extern char *aucLinkColor, *aucVLinkColor;

extern unsigned long aucMaxIdleSecs, aucCurrSemester;
extern unsigned long aucMaxUsernameLen, aucMaxGroupLen;

extern MYSQL *db;
extern int aucAuthenticated;
extern int aucAllowLocal;
extern int aucDBConnectFailed;
extern time_t aucTime;
extern int aucNodeColumns;
extern int aucFileExpert;
extern aucAuthCachePtr aucUserCache;
extern int aucChPasswdStatus;
extern int aucFirstRun;

extern char ** aucRoles;


#endif                          /* AUC_C */

