/*
 * Authenticated User Community
 * Copyright (c) 2000 David C. Moore
 *
 * You may distribute and/or use for any purpose modified or unmodified
 * copies of this software if you preserve the copyright notice above.
 *
 * course.h
 *
 * Headers necessary to use the functions in course.c
 *
 */

/* Make sure this is only included once. */

#ifndef COURSE_C
#define COURSE_C 1

typedef struct _aucCourseInfo aucCourseInfo;
typedef aucCourseInfo *aucCourseInfoPtr;
struct _aucCourseInfo
{
	char *title, *teacher, *room, *department, *period, *id;
	unsigned int semester, admin;
	char *time, *description, *uniquestr;
};

extern char *aucYearDivisionName, *aucYearDivisionNameP;
extern char *aucScheduling;
extern int aucPublicClassList;
extern unsigned long aucNumYearDivisions;


extern int aucCourseInit(void);

extern char *aucCoursePeriodName(int num);

extern int aucCoursePrintList(FILE * output, char *uname, int semester);
extern int aucCourseCompactHeader(FILE * output, aucCourseInfoPtr clinfo, char *caption);

extern void aucCourseFreeInfo(aucCourseInfoPtr info);
extern int aucCourseGetInfo(aucCourseInfoPtr clinfo, char *idstr, int semester);


#endif /* COURSE_C */
