/*
 * Authenticated User Community
 * Copyright (c) 2000 David C. Moore
 *
 * You may distribute and/or use for any purpose modified or unmodified
 * copies of this software if you preserve the copyright notice above.
 *
 * coursecal.h
 *
 * Headers necessary for the use of functions in coursecal.c
 *
 */

#ifndef COURSECAL_C
#define COURSECAL_C 1

#include <auc/course.h>

#define ASSN_TEST       (0x1 << 0)
#define ASSN_QUIZ       (0x1 << 1)
#define ASSN_LONGTERM   (0x1 << 2)
#define ASSN_HWORK      (0x1 << 3)
#define ASSN_OBJECTIVE  (0x1 << 4)
#define ASSN_COMMENTS   (0x1 << 5)

extern int aucCourseCalInit(void);

extern int aucCourseCalAdd(FILE * output, char *extrapath);
extern int aucCourseCalDel(FILE * output, char *extrapath);
extern int aucCourseCalView(FILE * output, char *extrapath);

extern int aucCourseCalPreview(FILE * output, aucCourseInfoPtr clinfo);

extern char *assntypes[];

#endif /* COURSECAL_C */
