/*
 * Authenticated User Community
 * Copyright (c) 2000 David C. Moore
 *
 * You may distribute and/or use for any purpose modified or unmodified
 * copies of this software if you preserve the copyright notice above.
 *
 * coursenode.h
 *
 * Header file for the course node functions
 *
 */

/* Make sure this is only included once. */

#ifndef COURSENODE_C
#define COURSENODE_C 1


typedef struct _aucCourseNodeInfo aucCourseNodeInfo;
typedef aucCourseNodeInfo *aucCourseNodeInfoPtr;
typedef void (*aucCourseNodeDrawFunc) (FILE * output, aucCourseNodeInfoPtr node,
									   aucCourseInfoPtr clinfo);
struct _aucCourseNodeInfo
{
	char *handle, *title;
	aucCourseNodeDrawFunc drawfunc;
	int priority;
	char *description;
	long unsigned int flags;
};

typedef struct _aucCourseNodeList aucCourseNodeList;
typedef aucCourseNodeList *aucCourseNodeListPtr;
struct _aucCourseNodeList
{
	struct _aucCourseNodeInfo **info;
	int len;
};


extern int aucCourseNodeRegister(char *handle, char *title, aucCourseNodeDrawFunc drawfunc,
								 int priority, char *description, long unsigned int flags);
extern int aucCourseNodeInit(void);
extern void aucCourseNodeRemoveListItem(aucCourseNodeListPtr list, int index);
extern void aucCourseNodeInsertListItem(aucCourseNodeListPtr list, int index,
										aucCourseNodeInfoPtr node, char *arg);
extern aucCourseNodeListPtr aucCourseNodeNewList(void);
extern aucCourseNodeListPtr aucCourseNodeCopyList(aucCourseNodeListPtr list);
extern void aucCourseNodeFreeList(aucCourseNodeListPtr list);
extern int aucCourseNodeDrawAll(FILE * output, aucCourseInfoPtr clinfo);

#endif /* COURSENODE_C */
