/*
 * Authenticated User Community
 * Copyright (c) 2000 David C. Moore
 *
 * You may distribute and/or use for any purpose modified or unmodified
 * copies of this software if you preserve the copyright notice above.
 *
 * discussion.h
 *
 * Headers necessary for the use of functions in discussion.c
 *
 */

/* Make sure this is only included once. */

#ifndef DISCUSSION_C
#define DISCUSSION_C 1

#include <auc/course.h>

extern int aucDiscInit(void);

extern int aucDiscAdd(FILE * output, char *extrapath);
extern int aucDiscCourseAdd(FILE * output, char *extrapath);
extern int aucDiscDelete(FILE * output, char *extrapath);
extern int aucDiscPageView(FILE * output, char *extrapath);
extern int aucDiscCommentPost(FILE * output, char *extrapath);
extern int aucDiscCommentDelete(FILE * output, char *extrapath);
extern int aucDiscCommentModify(FILE * output, char *extrapath);

extern int aucDiscList(FILE * output, char *where, int admin, aucCourseInfoPtr clinfo);


#endif /* DISCUSSION_C */
