#ifndef HTML_C
#define HTML_C

#define SORT_CUSTOM  1
#define SORT_ALPHA   2
#define SORT_PAGES   3

#define STR_ESCAPE   (0x1 <<1)
#define STR_ENCBLOCK (0x1 <<2)

#define HT_SANSSERIF "face=\"Geneva,Arial\""


typedef struct _aucSortPattern aucSortPattern;
typedef aucSortPattern * aucSortPatternPtr;
struct _aucSortPattern {
   char *name, *code;
   int type, maxlines;
   char **pages, **pagenames;
};

extern int aucHtmlHelpPage(FILE * output, char *extrapath);
extern void aucHtmlPopupHead(char *title);
extern void aucHtmlPopupFoot();
extern void aucHtmlSlimHead(char *tformat, ...);
extern void aucHtmlSlimFoot();
extern void aucHtmlBlankHead(char *title);
extern void aucHtmlBlankFoot();
extern void aucHtmlReadForm(char *fields, char **values, unsigned long flags);
extern int aucHtmlSetSortCookies(FILE * output, char *name);
extern int aucHtmlProcessSort(FILE * output, char *sort, size_t len, char *name, int recs,
			   aucSortPatternPtr sorts, char *defsort);
extern int aucHtmlEchoCommBuf(char *name, char *buf, size_t len);
extern int aucHtmlEchoFile(FILE * output, char *name, int nosubs);
extern int aucHtmlEchoComm(FILE * output, char *cmd, char * const args[]);



extern void aucDrawTableForm(FILE * output, char * method, char * action);
extern void aucDrawChooseName(FILE * output, char * name, char * uname,
   char * title, char * fname, char *mname, char * caption);
extern void aucDrawDateselect(FILE * output, char * name, char * value, char * caption);
extern void aucDrawDateSchool(FILE * output, char * name, char * value, int sem, char * caption);
extern void aucDrawHidden(FILE * output, char * name, char * value);
extern void aucDrawTextbox(FILE * output, char * name, int size, int max, char * value, char * caption);
extern void aucDrawPassword(FILE * output, char * name, int size, int max, char * value, char * caption);
extern void aucDrawCheckbox(FILE * output, char * name, int state, char * description, char * caption);
extern void aucDrawCheckMult(FILE * output, char * name, char * values[], char * descriptions[], int states[], char * caption);
extern void aucDrawTextarea(FILE * output, char * name, int rows, int cols, char * value, char * caption);
extern void aucDrawDropdown(FILE * output, char * name, char * values[], char * fields[], char * value, char * caption);
extern void aucDrawRadio(FILE * output, char * name, char * values[], char * fields[], char * value, char * caption);
extern void aucDrawSubmit(FILE * output, char * value);
extern void aucDrawSubmitName(FILE * output, char * name, char * value);
extern void aucDrawTableFormEnd(FILE * output);


#endif /* HTML_C */
