/*
 * Authenticated User Community
 * Copyright (c) 2000 David C. Moore
 *
 * You may distribute and/or use for any purpose modified or unmodified
 * copies of this software if you preserve the copyright notice above.
 *
 * nodelett.h
 *
 * Header file for the nodelett (start page panes) processing functions
 *
 */

/* Make sure this is only included once. */

#ifndef NODELETT_C
#define NODELETT_C 1


typedef struct _aucNodelettInfo aucNodelettInfo;
typedef aucNodelettInfo *aucNodelettInfoPtr;
typedef void (*aucNodelettDrawFunc) (FILE * output, aucNodelettInfoPtr nodelett, char *arg);
struct _aucNodelettInfo
{
	char *handle, *title;
	aucNodelettDrawFunc drawfunc;
	int columns, height, priority;
	char *description, *reqpriv;
	long unsigned int flags;
};

typedef struct _aucNodelettList aucNodelettList;
typedef aucNodelettList *aucNodelettListPtr;
struct _aucNodelettList
{
	struct _aucNodelettInfo **info;
	char **arg;
	int len;
};


extern int aucNodelettInit(void);
extern aucNodelettListPtr aucNodelettGetList(void);
extern void aucNodelettRemoveListItem(aucNodelettListPtr list, int index);
extern void aucNodelettInsertListItem(aucNodelettListPtr list, int index,
									  aucNodelettInfoPtr nodelett, char *arg);
extern aucNodelettListPtr aucNodelettGetUserPrefList(char *uname);
extern int aucNodelettVerifyPrefList(aucNodelettListPtr preflist, char *role);
extern int aucNodelettDrawList(FILE * output, aucNodelettListPtr list);
extern aucNodelettListPtr aucNodelettNewList(void);
extern aucNodelettListPtr aucNodelettCopyList(aucNodelettListPtr list);
extern void aucNodelettFreeList(aucNodelettListPtr list);
extern int aucNodelettRegister(char *handle, char *title, aucNodelettDrawFunc drawfunc,
							   int columns, int height, int priority, char *description,
							   char *reqpriv, long unsigned int flags);

// extern void aucIFPrintNodeFrame(FILE * output, struct nodelettinfo *nodelett);



#endif /* NODELETT_C */
