/*
 * Authenticated User Community
 * Copyright (c) 2000 David C. Moore
 *
 * You may distribute and/or use for any purpose modified or unmodified
 * copies of this software if you preserve the copyright notice above.
 *
 * plugin.h
 *
 * Header file for the plugin API
 *
 */

/* Make sure this is only included once. */

#ifndef PLUGIN_C
#define PLUGIN_C 1

typedef struct _aucPluginInfo aucPluginInfo;
typedef aucPluginInfo *aucPluginInfoPtr;
struct _aucPluginInfo
{
	char *name, *description, *xmlconf, *confheading;
};

typedef aucPluginInfoPtr(*aucPluginQueryFunc) (void);
typedef int (*aucPluginInitFunc) (void);
typedef int (*aucPluginCleanupFunc) (void);

extern char **aucPluginConfList(void);
extern aucPluginInfoPtr *aucPluginQueryAll(char *path);
extern int aucPluginInitAll(char *path);
extern int aucPluginCleanupAll(char *path);

#endif /* PLUGIN_C */
