/*
 * Authenticated User Community
 * Copyright (c) 2000 David C. Moore
 *
 * You may distribute and/or use for any purpose modified or unmodified
 * copies of this software if you preserve the copyright notice above.
 *
 * sock.h
 *
 * The AUC socket communication API
 *
 */

/* Make sure this is only included once. */

#ifndef SOCK_C
#define SOCK_C 1

int aucSockConnect(char *subdir, char *user);
int aucSockSendCommand(int sock, char *header, char *auth, int comm, char **args);
int aucSockRecvCommand(int sock, char *header, char **auth, char ***args);
int aucSockRecvEcho(int sock, FILE * output);
void aucSockFreeArgs(char **args);
int aucSockSendReply(int retval, FILE * output);
int aucSockRecvReply(int sock);

#endif
