/*
 * Authenticated User Community
 * Copyright (c) 2000 David C. Moore
 *
 * You may distribute and/or use for any purpose modified or unmodified
 * copies of this software if you preserve the copyright notice above.
 *
 * util.h
 *
 * AUC utility functions
 *
 */

#ifndef UTIL_C
#define UTIL_C

#define TEXT_NOLINKS   (0x1 <<1)
#define TEXT_BSPACES   (0x1 <<2)
#define TEXT_NOBREAKS  (0x1 <<3)

#define aucQueryIcon "fileops/magnify.gif"

typedef int (*compareFunc) (const void *, const void *);


typedef struct _aucVarField aucVarField;
struct _aucVarField
{
	char *name, *value;
};

extern void aucPrintText(char *input, FILE * output, unsigned int func_flags);
extern void aucPrintLinkText(FILE * output, char *text);
extern int aucCheckDir(char *dirname, int perm, int uid, int gid);
extern char *aucGetFileExt(char *name);
extern char * aucLinkText(char *link);
extern char * aucSmallCaps(char *str, int size);
extern int aucPaginate(FILE * output, char *sort, size_t len, char *name, int recs,
	int maxlines, int pageno);
extern int aucGetFullPath(char * name, char * root, char * path, size_t len);

int aucSuRoot();
int aucSuUser();

extern void aucSanitizeUsername(char * uname);


#endif
