/*
 * Authenticated User Community
 * Copyright (c) 2000 David C. Moore
 *
 * You may distribute and/or use for any purpose modified or unmodified
 * copies of this software if you preserve the copyright notice above.
 *
 * client.h
 *
 * Low-level email manipulation routines for the web-based email
 * client
 *
 */

/* Make sure this is only included once. */

#ifndef CLIENT_C
#define CLIENT_C 1

#define QN_NEW       (0x1 <<1)
#define QN_SINGLE    (0x1 <<2)
#define QN_COMPOSE   (0x1 <<3)
#define QN_MAILBOX   (0x1 <<4)
#define QN_REPLYFULL (0x1 <<7)
#define QN_NOSELF    (0x1 <<8)
#define QN_REPLY     (0x1 <<9)
#define QN_FORWARD   (0x1 <<10)
#define QN_FOLDERS   (0x1 <<11)
#define QN_PRINTABLE (0x1 <<12)
#define QN_RAWTEXT   (0x1 <<13)
#define QN_POSTPONE  (0x1 <<14)
#define QN_NODELETE  (0x1 <<15)
#define QN_FORWARDSORT (0x1 <<16)
#define QN_OPTIONS   (0x1 <<17)

extern int aucEmailInit(FILE * output, char **args);
extern int aucEmailClose(FILE * output, char **args);
extern int aucEmailMoveTo(FILE * output, char **args);
extern int aucEmailOptions(FILE * output, char **args);
extern int aucEmailMailstat(FILE * output, char **args);
extern int aucEmailFirstNew(FILE * output, char **args);
extern int aucEmailSetAnswered(FILE * output, char **args);
extern int aucEmailRemoveFolder(FILE * output, char **args);
extern int aucEmailNewFolder(FILE * output, char **args);
extern int aucEmailEmptyTrash(FILE * output, char **args);
extern int aucEmailInject(FILE * output, char **args);
extern int aucEmailCompose(FILE * output, char **args);
extern int aucEmailPrintMessage(FILE * output, char **args);
extern int aucEmailHeader(FILE * output, char **args);
extern int aucEmailFooter(FILE * output, char **args);
extern int aucEmailViewFolders(FILE * output, char **args);
extern int aucEmailPrintList(FILE * output, char **args);


#endif
