/*
 * Authenticated User Community
 * Copyright (c) 2000 David C. Moore
 *
 * You may distribute and/or use for any purpose modified or unmodified
 * copies of this software if you preserve the copyright notice above.
 *
 * emailutil.c
 *
 * A few utility functions used by the email agent
 *
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <stdio.h>
#include <stdarg.h>
#include <time.h>
#include <unistd.h>
#include <malloc.h>
#include <string.h>
#include "emailutil.h"

void
aucError(char *errstr, ...)
{
	va_list ap;
	char buf[128], str[2048];
	time_t auctime;

	auctime = time(NULL);

	strftime(buf, sizeof(buf), "%a %b %d %T %Y", localtime(&auctime));
	va_start(ap, errstr);
	vsnprintf(str, sizeof(str), errstr, ap);
	va_end(ap);

	if (isatty(2))
		fprintf(stderr, "%s\n", str);
	else
		fprintf(stderr, "[%s] auc: %s\n", buf, str);
}
