/*
 * Authenticated User Community
 * Copyright (c) 2000 David C. Moore
 *
 * You may distribute and/or use for any purpose modified or unmodified
 * copies of this software if you preserve the copyright notice above.
 *
 * emailutil.h
 *
 * AUC helper functions for aucemail
 *
 */

/* Make sure this is only included once. */

#ifndef EMAILUTIL_C
#define EMAILUTIL_C 1

#ifdef HAVE_GETTEXT
#include <libintl.h>
#else
#include <intl/libintl.h>
#endif

#define N_(String) String
#define _(String) gettext (String)


extern void aucError(char *errstr, ...);
extern char *aucMimeGetType(char *, char *);
extern int aucMimeType2Int(char *);
extern char *aucMimeType2Subtype(char *);
extern char *aucLinkText(char *);
extern void aucMimePrintType(FILE * output, unsigned short type);
extern char *aucMimeInt2Type(unsigned short type);
extern char *aucMimeGetDefaultExt(char *type, char *subtype, char *);
extern int aucPaginate(FILE * output, char *sort, size_t len, char *name, int recs, int maxlines,
					   int pageno);


#endif
