<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- siteconfig.xml  Master template for AUC site configuration
	  NOTE:  This file should not be modified by the system administrator.  The
	  only reason to modify it would be to add a new feature to AUC that requires
	  a patch to the AUC source.
-->

<Form>

<ConfigToken name="subsection" type="hidden" handler="inline" default="global"/>

<if variable="subsection" isvalue="global">
   <title>Configuracin de AUC</title>
   <description>Las opciones a continuacin le permitiran modificar las funciones y apariencia
					de su sitio AUC.  Otras opciones de configuracin aparecen
					en las subsecciones de arriba.</description>

   <ConfigToken name="auc">
      <attribute name="version" type="text" handler="getversion"></attribute>
   </ConfigToken>

   <ConfigToken name="Site" parentpath="auc">
      <attribute name="type" type="dropdown" handler="inline" default="k12">
         <title>Tipo de Organizacin</title>
         <option name="k12">
            <title>Educacional</title>
         </option>
         <description>Esta opcin le permite especificar el tipo de organizacin en
                      la que usara AUC.  Al cambiarla AUC se adecuar segn sus 
                      necesidades.</description>
      </attribute>
      <attribute name="name" type="text" handler="fixed" default="auc"/>
   </ConfigToken>

	<ConfigToken name="OrganizationName" type="text" handler="inline" length="30" parentpath="auc/Site">
		<title>Nombre de la Organizacin</title>
		<description>Este nombre aparecer en varios ttulos y encabezados en AUC, por lo que
						 debe reflejar el nombre de la organizacin para la cual AUC es la
						 intranet.</description>
	</ConfigToken>

	<ConfigToken name="ServerName" type="text" handler="inline" length="15" parentpath="auc/Site">
		<title>Nombre Abreviado</title>
		<description>Escriba un nombre abreviado que identifique a su organizacin y su sitio
						AUC.  Por ejemplo, si su organizacion es Academia Rey JAD,
						una buena abreviacin sera "JAD Net" o "ARJ Online"."</description>
	</ConfigToken>
	
	<ConfigToken name="Webmaster" type="text" handler="inline" length="30" parentpath="auc/Site">
		<title>Admin. Correo</title>
		<description>El correo electrnico del administrador.  Este aparecer al final de
						la pgina.</description>
	</ConfigToken>

   <ConfigToken name="DefaultLang" type="dropdown" handler="inline" default="en" parentpath="auc/Site">
      <title>Idioma</title>
      <option name="da">
         <title>Danish</title>
      </option>
      <option name="zh-tw">
         <title>Chinese (Traditional)</title>
      </option>
      <option name="en">
         <title>English</title>
      </option>
      <option name="fr">
         <title>French</title>
      </option>
      <option name="it">
         <title>Italian</title>
      </option>
      <option name="ja">
         <title>Japanese</title>
      </option>
      <option name="es">
         <title>Espaol</title>
      </option>
      <description>Muchas traducciones estn disponibles para AUC.  Esta opcin se
						usar si su navegador no necesita un lenguaje especifico.
						No todas las traducciones estn completas.</description>
   </ConfigToken>

	<ConfigToken name="ForceLang" parentpath="auc/Site" type="radio" handler="inline" default="no">
		<title>Force Default Lang.</title>
		<option name="yes">
			<title>Yes</title>
		</option>
		<option name="no">
			<title>No</title>
		</option>
		<description>When "yes" is selected, the default language specified above will be used
			always, regardless of a user's browser setting.  When "no" is selected, it will be
			used only when the browser does not request a specific language.
		</description>
	</ConfigToken>

   <ConfigToken name="Plugins" parentpath="auc/Site">
      <attribute name="sharedlibextension" type="text" handler="fixed" default=".so"/>
   </ConfigToken>

   <ConfigToken name="Load" parentpath="auc/Site/Plugins" type="checkbox" handler="inline">
      <title>Plugins Deseados</title>
      <option method="listplugins"/>
      <description>Los plugins o adaptadores son una serie de dispositivos qu se pueden incluir en AUC.
                   Si no escoje alguno, no afectar las pginas iniciales de los usuarios o 
                   necesitar configurarse.  Si lo elige tendra una seccin de configuracin,
                   dandole un mayor control sobre el sistema.</description>
   </ConfigToken>

	<ConfigToken type="submit" handler="inline" default="Guardar"/>
</if>

<if variable="subsection" isvalue="auth">
	<title>Opciones de Autentificacin</title>

   <ConfigToken name="MaxUsernameLen" parentpath="auc/Site/Authentication" type="text" length="4" default="8" handler="inline">
		<title>Largo Max. de Nombre</title>
		<description>El numero mximo de caracteres que un nombre de usuario de AUC puede tener.
			un valor de 8 es recomendado si quiere usar PAM. Porque los nombres UNIX tienen un
			mximo de 8 caracteres.  Este valor puede ir de 1 a 64.
		</description> 
	</ConfigToken>

	<ConfigToken name="AllowLocal" parentpath="auc/Site/Authentication" type="radio" handler="inline" default="yes">
		<title>Allow Local Access</title>
		<option name="yes">
			<title>Si</title>
		</option>
		<option name="no">
			<title>No</title>
		</option>
		<description>Cuando elija "Si", cualquier usuario creado en la base de datos de AUC
			usara los directorios home, uid y gid de una cuenta local de UNIX con el mismo
			nombre de usuario.  Si el nombre no coincide el usuario tendr un directorio home
			"virtual".  Si elige "No", todos los usuarios recibirn un directorio home "virtual",
			y no habr traslape entre los usuarios de UNIX y los de AUC.
		</description>
	</ConfigToken>
	
	<ConfigToken type="submit" handler="inline" default="Guardar"/>
</if>

<if variable="subsection" isvalue="scheduling">
   <title>Configuracin de Horarios</title>

   <ConfigToken name="CourseScheduling" parentpath="auc/Site">
      <attribute name="type" type="dropdown" handler="inline" default="regular">
         <title>Tipo de Horario</title>
         <option name="generic">
            <title>Genrico</title>
         </option>
         <option name="periods">
            <title>Periodos</title>
         </option>
         <option name="daytime">
            <title>Horas del Da</title>
         </option>
         <description>La forma en que los cursos son asignados en los horarios.  Usando "Genrico",
							AUC no se preocupara de los horarios.  Elija "Perodos"
							si cada curso ocurre en un perodo especfico. "Horas del Da"
							asigna uno a mas bloques del da a cada curso. Muy comn en las
							universidades.</description>
      </attribute>
      <attribute name="publiclist" type="radio" handler="inline" default="yes">
			<title>Lista de Cursos Disponibles</title>
			<option name="yes">
				<title>Todos</title>
			</option>
			<option name="no">
				<title>Slo Sysop</title>
			</option>
         <description>Si elige "Todos" todos los usuarios podran ver los cursos existentes
							en AUC.  De otra forma, slo los Sysops tendrn
							acceso a la lista completa.</description>
		</attribute>
   </ConfigToken>

	<ConfigToken name="NumYearDivisions" type="dropdown" handler="inline" default="2" parentpath="auc/Site/CourseScheduling">
		<title>Numero de Perodos</title>
		<option name="1"><title>1</title></option>
		<option name="2"><title>2</title></option>
		<option name="3"><title>3</title></option>
		<option name="4"><title>4</title></option>
		<description>Este es el nmero de divisiones que tiene el ao acadmico.  Cada
						asignatura dura una divisin.</description>
	</ConfigToken>
	
	<ConfigToken name="YearDivisionName" type="text" handler="inline" default="Semester" length="16" parentpath="auc/Site/CourseScheduling">
		<title>Nombre del Perodo</title>
		<description>ej. Semestre, Ao, Trimestre, Perodo, etc.</description>
	</ConfigToken>
	
	<ConfigToken name="Department" type="list" handler="inline" link="site-prefs" parentpath="auc/Site/CourseScheduling">
		<title>Departmentos</title>
		<description>Lista de los departamentos de la organizacin.</description>
		<option name="deptname" type="content" length="20">
			<title>Nombre del Departamento</title>
		</option>
		<option name="abbr" type="attribute" length="4">
			<title>Abreviacin</title>
		</option>
	</ConfigToken>
	
	<if xpath="/child::auc/Site/CourseScheduling/attribute::type" isvalue="periods">
		<ConfigToken name="Period" type="list" handler="inline" link="site-prefs" parentpath="auc/Site/CourseScheduling">
			<title>Perodos</title>
			<description>Lista de nombres de los perodos si escogi horario por perodos.</description>
			<option name="pername" type="content" length="8">
				<title>Nombre del Perodo</title>
			</option>
		</ConfigToken>
	</if>
	
	<ConfigToken type="submit" handler="inline" default="Save Settings"/>
</if>

<if variable="subsection" isvalue="database">
   <title>Configuracin de Base de Datos</title>

	<ConfigToken name="Database" parentpath="auc/Site">
		<attribute name="type" type="text" handler="fixed" default="SQL"/>
	</ConfigToken>
		
	<ConfigToken name="SQLServer" parentpath="auc/Site/Database">
   	<attribute name="type" type="dropdown" handler="inline" default="mysql">
         <title>Tipo de Base de Datos</title>
         <option name="mysql">
            <title>MySQL</title>
         </option>
         <description>MySQL es el nico servidor SQL que sirve para la actual versin de
							AUC.</description>
      </attribute>
      <attribute name="host" type="text" handler="inline" length="24" default="localhost">
			<title>Nombre del Servidor Host</title>
         <description>El nombre usado para conectarse al servidor SQL .  Si el servidor
							estn en la misma maquina que AUC, "localhost" proveer
							una conexin ms rpida.</description>
		</attribute>
      <attribute name="name" type="text" handler="inline" length="16" default="auc">
			<title>Nombre de la Base de Datos</title>
         <description>El nombre de la base de datos en el servidor SQL sirve para guardar
							tablas AUC.  Si ste valor, o el n.usuario/contrasea de abajo
							son modificados, puede resultar problemtico si no ingresa la contrasea SQL
							abajo y presiona "Guardar y; Crear BD."</description>
		</attribute>
      <attribute name="username" type="text" handler="inline" length="16" default="">
			<title>Servidor</title>
         <description>El nombre de usuario para conectarse a la base de datos SQL.</description>
		</attribute>
      <attribute name="password" type="password" handler="inline" length="16" default="">
			<title>Contrasea del Servidor</title>
         <description>Contrasea del usuario del servidor</description>
		</attribute>
   </ConfigToken>

	<ConfigToken type="submit" handler="inline" default="Guardar"/>

	<ConfigToken name="createdbinfo" type="submit" handler="inline" default="Guardar y; Crear BD"/>
	
	<ConfigToken name="rootpasswd" type="password" handler="inline" length="16" default="">
		<title>Contrasea SQL</title>
		<description>Si va a elegir "Guardar y; Crear BD", ingrese la contrasea del servidor
						SQL aqu.</description>
	</ConfigToken>
</if>

<if variable="subsection" isvalue="paths">
   <title>Path de los Archivos</title>

	<ConfigToken name="GraphicsDirectory" type="text" handler="inline" default="/home/httpd/html/auc/g" parentpath="auc/Site/Files">
		<title>Path de Imgenes</title>
		<description>El directorio donde las imgenes de AUC son guardadas.</description>
	</ConfigToken>

	<ConfigToken name="GraphicsUrl" type="text" handler="inline" default="/auc/g" parentpath="auc/Site/Files">
		<title>URL de Imgenes</title>
		<description>El URL, relativo a donde su servidor web guarda los documentos
			de imgenes de AUC.</description>
	</ConfigToken>

	<ConfigToken name="VarDirectory" type="text" handler="inline" default="/var/auc" parentpath="auc/Site/Files">
		<title>Path Var</title>
		<description>Directorio donde los archivos variables de AUC son guardados.</description>
	</ConfigToken>

	<ConfigToken name="EtcDirectory" type="text" handler="inline" default="/etc/auc" parentpath="auc/Site/Files">
		<title>Path Etc</title>
		<description>Directorio donde los archivos de configuracin de AUC son guardados.</description>
	</ConfigToken>

	<ConfigToken name="DataDirectory" type="text" handler="inline" default="/home/httpd/auc" parentpath="auc/Site/Files">
		<title>Path Datos Estticos</title>
		<description>Directorio donde los archivos de datos estticos de AUC son guardados.</description>
	</ConfigToken>

	<ConfigToken type="submit" handler="inline" default="Guardar"/>
	
</if>

<if variable="subsection" isvalue="colors">
   <title>Colores</title>

	<ConfigToken name="HeaderBGColor" type="text" handler="inline" default="EEEEF8"
		length="6" maxlen="6" parentpath="auc/Site/Colors">
		<title>Fondo de Tope y Pie de Pgina</title>
		<description>Color de fondo del tope y pie de pgina. Los colores estn
			representados como un valor hexadecimal RRVVAA, donde RR, VV, y AA son los valores de rojo,
			verde y azul, respectivamente.</description>
	</ConfigToken>

	<ConfigToken name="HeaderTextColor" type="text" handler="inline" default="660000"
		length="6" maxlen="6" parentpath="auc/Site/Colors">
		<title>Texto de Tope y Pie de Pgina</title>
		<description>Color del texto del tope y pie de pgina.</description>
	</ConfigToken>

	<ConfigToken name="TrimColor" type="text" handler="inline" default="990000"
		length="6" maxlen="6" parentpath="auc/Site/Colors">
		<title>Color del Borde</title>
		<description>Color del borde y otros elementos decorativos de las pginas.</description>
	</ConfigToken>

	<ConfigToken name="LinkColor" type="text" handler="inline" default="CC3333"
		length="6" maxlen="6" parentpath="auc/Site/Colors">
		<title>Texto de Links</title>
		<description>Color de los links sin visitar.</description>
	</ConfigToken>

	<ConfigToken name="VLinkColor" type="text" handler="inline" default="996666"
		length="6" maxlen="6" parentpath="auc/Site/Colors">
		<title>Link Visitado</title>
		<description>Color de los links ya visitados.</description>
	</ConfigToken>

	<ConfigToken type="submit" handler="inline" default="Guardar"/>
	
</if>

<if variable="subsection" isvalue="fileman">
   <title>Configuracin del Administrador de Archivos</title>

	<ConfigToken name="DefaultDiskQuota" type="text" handler="inline" default="12000" length="6" parentpath="auc/Site/FileManager">
		<title>Cuota de Disco</title>
		<description>El mximo espacio de disco en kilobytes que usuarios sin privilegios
			son capaces de usar en su directorio personal.  Usuarios de AUC que coincidan con
			cuentas del sistema no tendrn esta limitacin. De todas formas, en el ltimo
			caso cualquier cuota reforzada por kernel  todava se aplicar.</description>
	</ConfigToken>

	<ConfigToken name="WordViewInline" parentpath="auc/Site/FileManager" type="radio" handler="inline" default="yes">
		<title>View MS Word Docs Inline</title>
		<option name="yes">
			<title>Yes</title>
		</option>
		<option name="no">
			<title>No</title>
		</option>
		<description>When "yes" is selected, Microsoft Word documents viewed from the file
			manager will be displayed in the web browser in HTML format.  When "no" is selected,
			word documents will be viewed by the browser's configured external viewer, which is
			normally Microsoft Word.  Documents will always be viewed externally by clicking
			the "download" link in the file manager.
		</description>
	</ConfigToken>

	<ConfigToken type="submit" handler="inline" default="Guardar"/>
	
</if>

<if variable="subsection" isvalue="email">
   <title>Web-based E-Mail Client Settings</title>

	<ConfigToken name="SMTPServer" type="text" handler="inline" default="localhost" parentpath="auc/Site/Email">
		<title>Servidor SMTP</title>
		<description>El nombre del servidor SMTP es usado para mandar mails salientes.</description>
	</ConfigToken>

	<ConfigToken name="Email" parentpath="auc/Site">
		<attribute name="source" type="radio" handler="inline" default="local">
			<title>Configuracin de Correo</title>
			<option name="imap">
				<title>Siempre usar IMAP, con informacin de &lt;br&gt; administracin del servidor
					especificada abajo.</title>
			</option>
			<option name="local">
				<title>Usar mail local para usuarios con cuenta&lt;br&gt; en el sistema.</title>
			</option>
			<option name="alllocal">
				<title>Usar correo local para todos los usuarios&lt;br&gt; (requier esquema de entrega
					para usuarios&lt;br&gt; sin cuenta UNIX).</title>
			</option>
			<description>AUC usa esta opcin para determinar donde sus clientes de correo
				buscan las carpetas de un usuario.  Si "Siempre usar IMAP" es elegido,
				AUC usar el protocolo IMAP para bajar correo desde un servidor remoto
				para todos los usuarios de acuerdo a sus opciones de servidor.  Para
				las otras dos opciones, un usuario puede configurar el cliente para 
				usar un servidor IMAP si eligen no usar el local.  La ltima opcin
				buscara un correo local incluso para los usuarios sin cuenta UNIX.
				Normalmente, un servicio de correo solo entregar correo a usuarios con
				cuenta UNIX.  Para crear correos de usuarios no-UNIX, un esquema tipo
				de mail debe ser usado, como la configuracin EXIM incluida en AUC.
			</description>
		</attribute>
		
		<attribute name="advancedprefs" type="radio" handler="inline" default="enabled">
			<title>Opciones Avanzadas de Correo</title>
			<option name="enabled">
				<title>Accessible a Todos los Usuarios</title>
			</option>
			<option name="restricted">
				<title>Solo Sysop</title>
			</option>
			<description>Las opciones avanzadas de correo permiten al usuario cambiar el dominio
				de su direccin "De:" , fijar una direccin de re-envio, apuntar al cliente
				de correo a una carpeta diferente, y otras habilidades que al administrador
				no le guste que tengan todos sus usuarios normales.  Esta opcin permite al
				administrador restringir este acceso a usuarios de categora "sysop" o mayor.</description>
		</attribute>
	</ConfigToken>

	<ConfigToken name="IMAPServer" type="text" handler="inline" default="" parentpath="auc/Site/Email">
		<title>Servidor IMAP</title>
		<description>El servidor IMAP usado por el cliente de correo si lo escogi antes.</description>
	</ConfigToken>

	<ConfigToken name="SpoolPath" type="text" handler="inline" default="/var/spool/mail/$username" parentpath="auc/Site/Email">
		<title>Path Local</title>
		<description>La ubicacin del archivo de mail local de un usuario, si este acceso es dado.
			Este debe ser un path absoluto. Algunas opciones son /var/spool/mail/$username  o
			$homedir/Mailbox .
		</description>
	</ConfigToken>

	<ConfigToken name="FolderPath" type="text" handler="inline" default="mail/" parentpath="auc/Site/Email">
		<title>Path de Carpetas</title>
		<description>El directorio relativo al directorio principal de un usuario, donde las carpetas
			de correo aparte de Inbox son guardadas.  Esto se aplica para mail local o IMAP.
			
		</description>
	</ConfigToken>

	<ConfigToken name="AddressDomain" type="text" handler="inline" default="" parentpath="auc/Site/Email">
		<title>Dominio de Direccin de Correo</title>
		<description>Esta opcin especifica el dominio que viene despus de @ en los correos. Por ej.
			si el usuario jad manda un correo de su cuenta, la direccin "De:" ser jad@dominio
			donde dominio es el valor de su opcin. Si se deja en blanco se escogera el por defecto.
		</description>
	</ConfigToken>

	<ConfigToken name="TrashFolder" type="text" handler="inline" default="Trash" length="16" parentpath="auc/Site/Email">
		<title>Carpeta de Papelera</title>
		<description>El nombre de la carpeta donde guardar el correo eliminado.</description>
	</ConfigToken>

	<ConfigToken name="PostponedFolder" type="text" handler="inline" default="postponed-msgs" length="16" parentpath="auc/Site/Email">
		<title>Carpeta de Correo Pendiente</title>
		<description>Nombre de la carpeta donde guardar el correo pendiente.</description>
	</ConfigToken>

	<ConfigToken name="SavedFolder" type="text" handler="inline" default="saved-messages" length="16" parentpath="auc/Site/Email">
		<title>Carpeta de Correo Grabado</title>
		<description>Nombre de la carpeta donde guardar el correo grabado.</description>
	</ConfigToken>

	<ConfigToken type="submit" handler="inline" default="Guardar"/>
	
</if>

<if variable="subsection" isvalue="roles">
   <title>Configuracin de Roles</title>
	<description>
		Abajo puede modificar la lista de "roles". Cada usuario tiene un rol que define
		las facultades que tienen una vez que han ingresado.
		Usando la tabla siguiente, puede controlar las funciones que un usuario de un 
		rol dado ver en su pgina de inicio. Note que cada funcin(listado horizontal),
		tiene un nivel de privilegio asociado (en comillas, "sysop", "normal" o "visita").
		Aunque un rol tenga acceso a alguna funcin, no podr usarla, si su nivel de 
		privilegio no es al menos el requerido.
		El beneficio de esto es que por ej. puede dar a un alumno la funcin administrador
                pero slo los alumnos con privilegio sysop podrn usar esta funcin.
	</description>

	<ConfigToken name="Role" type="rolematrix" handler="inline" link="site-prefs" parentpath="auc/Site/Roles">
	</ConfigToken>
</if>

</Form>
